package com.railway.business.catenary.service;

import com.github.pagehelper.Page;
import com.railway.business.catenary.domain.BusJcbFdfxjyq;
import com.railway.business.catenary.domain.vo.JcebCountVo;
import com.railway.business.catenary.domain.vo.JcebQueryVo;
import com.railway.business.catenary.domain.vo.JcebRecordVo;
import java.util.List;
/**
* dxf分选绝缘器检查表 
* @author wuhonghao
* @date 2021/10/14
*/
public interface IBusJcbFdfxjyqService{

    /**
    * 新增
    */
    int create(BusJcbFdfxjyq busJcbFdfxjyq);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(BusJcbFdfxjyq busJcbFdfxjyq);

    /**
    * 获取单个
    */
    BusJcbFdfxjyq getInfo(String id);

    /**
    * 查询列表
    */
    List<BusJcbFdfxjyq> getList(BusJcbFdfxjyq busJcbFdfxjyq);

    /**
    * 获取上次检测值
    */
    BusJcbFdfxjyq getLastOne(BusJcbFdfxjyq busJcbFdfxjyq);

    /**
     * 提交
     * @param busJcbFdfxjyq
     * @return 提交结果
     */
    int submit(BusJcbFdfxjyq busJcbFdfxjyq);

    /**
     * 退回
     * @param busJcbFdfxjyq
     * @return 退回结果
     */
    int reject(BusJcbFdfxjyq busJcbFdfxjyq);

    /**
     * 确认
     * @param busJcbFdfxjyq
     * @return 确认结果
     */
    int confirm(BusJcbFdfxjyq busJcbFdfxjyq);

    /**
     * 导出Excel
     * @param query 查询条件
     * @return 文件路径
     */
    String exportExcel(JcebQueryVo query);

    /**
     * 查询明细列表
     * @param query 查询参数
     * @return 数据记录明细
     */
    Page<JcebRecordVo> getListByType(JcebQueryVo query);

    /**
     * 查询汇总列表
     * @param query 查询参数
     * @return 汇总数据
     */
    JcebCountVo getCountByType(JcebQueryVo query);

}
